org.apache.cassandra.tools

## Class NodeTool.NetStats

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.NodeTool.NetStats

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  NodeTool

    @Command(name="netstats",
             description="Print network information on provided host (connecting node by default)")
    public static class NodeTool.NetStats
    extends NodeTool.NodeToolCmd

### Constructor Summary

Constructors
Constructor and Description
`NodeTool.NetStats()`

### Method Summary

Methods
`void` `execute(NodeProbe probe)`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalColumnFamilies, parseOptionalKeyspace, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeTool.NetStats

    public NodeTool.NetStats()

### Method Detail

#### execute

    public void execute(NodeProbe probe)

Specified by:
  `execute` in class `NodeTool.NodeToolCmd`